#!/bin/sh

rtc-template -bcxx \
    --module-name=frm_ctrl --module-type='DataFlowComponent' \
    --module-desc='motion control in task coordinate' \
    --module-version=1.0 --module-vendor='Takashi Suehiro, AIST' \
    --module-category=frm_ctrl \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 --inport=ref_frm:TimedDoubleSeq \
    --inport=cur_frm:TimedDoubleSeq \
    --outport=vel:TimedDoubleSeq --outport=state:TimedLong \
    --service=ComFrmCtrl:com_frm_ctrl:ComFrmCtrl \
    --service-idl=com_frm_ctrl.idl

