#!/bin/sh

rtc-template -bcxx \
    --module-name=tr_jacob --module-type='DataFlowComponent' \
    --module-desc='tr_jacob' \
    --module-version=1.0 --module-vendor='Takashi Suehiro, AIST' \
    --module-category=coord_trans \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 --inport=vel:TimedDoubleSeq \
    --inport=jacob:TimedDoubleSeq \
    --outport=y_jacob:TimedDoubleSeq \
    --service=ComCt:com_ct:ComCt \
    --service-idl=com_ct.idl

