// -*-C++-*-
/*!
 * @file  com_ctSVC_impl.h
 * @brief Service implementation header of com_ct.idl
 *
 */

#include "com_ctSkel.h"
#include <geo_std.h>

#ifndef COM_CTSVC_IMPL_H
#define COM_CTSVC_IMPL_H
 
/*
 * Example class implementing IDL interface ComCt
 */
class ComCtSVC_impl
 : public virtual POA_ComCt,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~ComCtSVC_impl();

 public:
   // standard constructor
   ComCtSVC_impl();
   virtual ~ComCtSVC_impl();

   // attributes and operations
   void set_trans(const Frame& trans);
  //
  FRAME trans_frm;
};



#endif // COM_CTSVC_IMPL_H


