#!/bin/sh

rtc-template -bcxx \
    --module-name=pa10fk --module-type='DataFlowComponent' \
    --module-desc='forward kinema of PA10' \
    --module-version=1.0 --module-vendor='Takashi Suehiro, AIST' \
    --module-category=fk_7dof \
    --module-comp-type=DataFlowComponent --module-act-type=SPORADIC \
    --module-max-inst=10 --inport=th:TimedDoubleSeq \
    --outport=frame:TimedDoubleSeq --outport=jacob:TimedDoubleSeq \
    --service=ComFk:com_fk:ComFk \
    --service-idl=com_fk.idl

